Page MenuHomePhabricator

Drop legacy hard-deprecated code from MediaWiki ahead of MediaWiki 1.34 release
Closed, ResolvedPublic0 Story Points

Description

T205029: Drop legacy hard-deprecated code from MediaWiki ahead of MediaWiki 1.33 release || T232864: Drop legacy hard-deprecated code from MediaWiki ahead of MediaWiki 1.35 release

This is a list of potential deprecated code to drop. Not all of it will be dropped before 1.34 (and we'll move entries to a parallel ticket for 1.35). Found by manually looking for hard deprecations; soft-deprecated code isn't listed here (yet?).

Details

Related Gerrit Patches:
mediawiki/core : masterDrop APIEditBeforeSave hook
mediawiki/core : masterSkin::outputPage: Drop support for specifying a context, deprecated in 1.20
mediawiki/core : masterRemove support for calling OutputPage::wrapWikiMsg() with an options parameter
mediawiki/core : masterGlobalFunctions: Remove deprecated wfCountDown() function from core
mediawiki/core : masterlibs: Remove unused deprecated BufferingStatsdDataFactory::getBuffer()
mediawiki/core : masterDrop SpecialPage::getTitle()
mediawiki/core : masterHTMLForm: Remove deprecated unused getErrors() method
mediawiki/core : masterWikiPage: Make prepareContentForEdit method not accept an integer
mediawiki/core : masterSearchEngine: Remove deprecated unused method `transformSearchTerm()`
mediawiki/core : masterjobqueue: Remove deprecated unused method pushLazyJobs()
mediawiki/core : masterchangetags: Remove deprecated unused method `purgeTagUsageCache()`
mediawiki/core : masterapi: Remove deprecated `prepareUrlQuerySearchString()` from core
mediawiki/core : masterStop Linker::link() handling $query when it's a string
mediawiki/core : masteruser: Remove deprecated and unused method `getPasswordValidity()`
mediawiki/core : masterRemove deprecated unused method `getModuleScripts()`
mediawiki/core : masterLanguage: Remove deprecated initEncoding(), recodeForEdit() & recodeInput()
mediawiki/core : masterEditPage: Remove `::safeUnicodeInput()` and `::safeUnicodeOutput()`
mediawiki/core : masterRemove several methods, deprecated in 1.32
mediawiki/core : masterBlock: Type hint Block constructor, follow-up on I37ab858494a173c6982bb
mediawiki/core : masterUser: Remove/Kill usage of deprecated User::makeGroupLinkWiki()
mediawiki/core : masterUser: Remove deprecated methods ::getGroupPage() & ::makeGroupLinkHTML()
mediawiki/extensions/LiquidThreads : masterclasses: Replace usage of deprecated SearchEngine::searchableNamespace()
mediawiki/core : mastersearch: Remove unused deprecated methods replaced by MW Services

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 506974 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/core@master] User: Remove deprecated methods ::getGroupPage() & ::makeGroupLinkHTML()

https://gerrit.wikimedia.org/r/506974

Change 506974 merged by jenkins-bot:
[mediawiki/core@master] User: Remove deprecated methods ::getGroupPage() & ::makeGroupLinkHTML()

https://gerrit.wikimedia.org/r/506974

Change 507198 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/core@master] User: Remove/Kill usage of deprecated User::makeGroupLinkWiki()

https://gerrit.wikimedia.org/r/507198

D3r1ck01 updated the task description. (Show Details)Apr 29 2019, 8:19 PM

Change 507198 merged by jenkins-bot:
[mediawiki/core@master] User: Remove/Kill usage of deprecated User::makeGroupLinkWiki()

https://gerrit.wikimedia.org/r/507198

D3r1ck01 updated the task description. (Show Details)Apr 29 2019, 9:08 PM
D3r1ck01 updated the task description. (Show Details)
D3r1ck01 updated the task description. (Show Details)Apr 29 2019, 10:10 PM
D3r1ck01 added a subscriber: D3r1ck01.

@Jdforrester-WMF, per https://codesearch.wmflabs.org/search/?q=new%20Block%5C(&i=nope&files=&repos=, I think that is no longer the case? I see only hexmode / mediawiki-UserSnoop repo still doing that.

@Jdforrester-WMF, per https://codesearch.wmflabs.org/search/?q=new%20Block%5C(&i=nope&files=&repos=, I think that is no longer the case? I see only hexmode / mediawiki-UserSnoop repo still doing that.

Yeah, looks like that's unused now. We should remove the support for it in Block.

Change 507215 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/core@master] Block: Drop support for individual args in constructing a Block object

https://gerrit.wikimedia.org/r/507215

Change 507221 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/core@master] Language: Remove deprecated initEncoding(), recodeForEdit() & recodeInput()

https://gerrit.wikimedia.org/r/507221

D3r1ck01 updated the task description. (Show Details)Apr 29 2019, 11:21 PM
D3r1ck01 updated the task description. (Show Details)

Change 507215 merged by jenkins-bot:
[mediawiki/core@master] Block: Type hint Block constructor, follow-up on I37ab858494a173c6982bb

https://gerrit.wikimedia.org/r/507215

D3r1ck01 updated the task description. (Show Details)May 1 2019, 11:46 AM
D3r1ck01 updated the task description. (Show Details)May 1 2019, 11:52 AM
D3r1ck01 updated the task description. (Show Details)May 1 2019, 11:54 AM
D3r1ck01 updated the task description. (Show Details)May 1 2019, 1:12 PM

Change 508901 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/core@master] EditPage: Remove ::safeUnicodeInput() and ::safeUnicodeOutput()

https://gerrit.wikimedia.org/r/508901

Change 509105 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/core@master] Remove several deprecated (in 1.32) no longer used methods from core

https://gerrit.wikimedia.org/r/509105

Change 509105 merged by jenkins-bot:
[mediawiki/core@master] Remove several methods, deprecated in 1.32

https://gerrit.wikimedia.org/r/509105

Change 508901 merged by jenkins-bot:
[mediawiki/core@master] EditPage: Remove ::safeUnicodeInput() and ::safeUnicodeOutput()

https://gerrit.wikimedia.org/r/508901

Change 507221 merged by jenkins-bot:
[mediawiki/core@master] Language: Remove deprecated initEncoding(), recodeForEdit() & recodeInput()

https://gerrit.wikimedia.org/r/507221

Change 509159 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/core@master] Remove deprecated unused method getModuleScripts()

https://gerrit.wikimedia.org/r/509159

Change 509160 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/core@master] User: Remove deprecated and unused getPasswordValidity()

https://gerrit.wikimedia.org/r/509160

Change 509159 merged by jenkins-bot:
[mediawiki/core@master] Remove deprecated unused method getModuleScripts()

https://gerrit.wikimedia.org/r/509159

Change 509160 merged by jenkins-bot:
[mediawiki/core@master] user: Remove deprecated and unused method getPasswordValidity()

https://gerrit.wikimedia.org/r/509160

Change 509586 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/core@master] api: Remove deprecated prepareUrlQuerySearchString() from core

https://gerrit.wikimedia.org/r/509586

Change 509587 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/core@master] changetags: Remove deprecated unused method purgeTagUsageCache()

https://gerrit.wikimedia.org/r/509587

Change 509588 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/core@master] jobqueue: Remove deprecated unused method pushLazyJobs()

https://gerrit.wikimedia.org/r/509588

Change 509589 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/core@master] SearchEngine: Remove deprecated unused method transformSearchTerm()

https://gerrit.wikimedia.org/r/509589

Change 509590 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/core@master] Stop Linker::link() handling $query when it's a string

https://gerrit.wikimedia.org/r/509590

Change 509591 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/core@master] Remove support for calling OutputPage::wrapWikiMsg() with an options parameter

https://gerrit.wikimedia.org/r/509591

Reedy updated the task description. (Show Details)May 11 2019, 3:33 PM
Reedy updated the task description. (Show Details)
D3r1ck01 updated the task description. (Show Details)May 11 2019, 3:54 PM

Change 509590 abandoned by Reedy:
Stop Linker::link() handling $query when it's a string

Reason:
T223010 filed to clean up the many usages of the function. Might aswell abandon this instead

https://gerrit.wikimedia.org/r/509590

Reedy updated the task description. (Show Details)May 11 2019, 6:54 PM

Change 509586 merged by jenkins-bot:
[mediawiki/core@master] api: Remove deprecated prepareUrlQuerySearchString() from core

https://gerrit.wikimedia.org/r/509586

Change 509587 merged by jenkins-bot:
[mediawiki/core@master] changetags: Remove deprecated unused method purgeTagUsageCache()

https://gerrit.wikimedia.org/r/509587

Change 509588 merged by jenkins-bot:
[mediawiki/core@master] jobqueue: Remove deprecated unused method pushLazyJobs()

https://gerrit.wikimedia.org/r/509588

Change 509589 merged by jenkins-bot:
[mediawiki/core@master] SearchEngine: Remove deprecated unused method transformSearchTerm()

https://gerrit.wikimedia.org/r/509589

Change 511761 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[mediawiki/core@master] WikiPage: Make prepareContentForEdit method not accept an integer

https://gerrit.wikimedia.org/r/511761

Change 511761 merged by jenkins-bot:
[mediawiki/core@master] WikiPage: Make prepareContentForEdit method not accept an integer

https://gerrit.wikimedia.org/r/511761

[mediawiki/core@master] Remove deprecated unused method getModuleScripts()
https://gerrit.wikimedia.org/r/509159

Also closes T188689: Finalise addModuleStyles() and addModuleScripts() legacy behaviours.

Change 512288 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/core@master] libs: Remove unused deprecated BufferingStatsdDataFactory::getBuffer()

https://gerrit.wikimedia.org/r/512288

Change 514010 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/core@master] HTMLForm: Remove deprecated unused getErrors() method

https://gerrit.wikimedia.org/r/514010

Change 514010 merged by jenkins-bot:
[mediawiki/core@master] HTMLForm: Remove deprecated unused getErrors() method

https://gerrit.wikimedia.org/r/514010

Change 515982 had a related patch set uploaded (by 星耀晨曦; owner: 星耀晨曦):
[mediawiki/core@master] Drop SpecialPage::getTitle()

https://gerrit.wikimedia.org/r/515982

Change 515982 merged by jenkins-bot:
[mediawiki/core@master] Drop SpecialPage::getTitle()

https://gerrit.wikimedia.org/r/515982

RazeSoldier updated the task description. (Show Details)Jun 10 2019, 6:28 AM

Change 512288 merged by jenkins-bot:
[mediawiki/core@master] libs: Remove unused deprecated BufferingStatsdDataFactory::getBuffer()

https://gerrit.wikimedia.org/r/512288

Change 514528 had a related patch set uploaded (by Krinkle; owner: Derick Alangi):
[mediawiki/core@master] installer: Remove deprecated method WebInstallerOutput::addWikiText()

https://gerrit.wikimedia.org/r/514528

Krinkle removed a subscriber: Krinkle.Jun 20 2019, 4:44 PM

Change 518155 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/core@master] GlobalFunctions: Remove deprecated wfCountDown() function from core

https://gerrit.wikimedia.org/r/518155

Change 518155 merged by jenkins-bot:
[mediawiki/core@master] GlobalFunctions: Remove deprecated wfCountDown() function from core

https://gerrit.wikimedia.org/r/518155

Change 518321 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Skin::outputPage: Drop support for specifying a context, deprecated in 1.20

https://gerrit.wikimedia.org/r/518321

Change 509591 merged by Jforrester:
[mediawiki/core@master] Remove support for calling OutputPage::wrapWikiMsg() with an options parameter

https://gerrit.wikimedia.org/r/509591

Change 518321 merged by jenkins-bot:
[mediawiki/core@master] Skin::outputPage: Drop support for specifying a context, deprecated in 1.20

https://gerrit.wikimedia.org/r/518321

Change 519797 had a related patch set uploaded (by 星耀晨曦; owner: 星耀晨曦):
[mediawiki/core@master] Drop APIEditBeforeSave hook

https://gerrit.wikimedia.org/r/519797

Change 519797 merged by jenkins-bot:
[mediawiki/core@master] Drop APIEditBeforeSave hook

https://gerrit.wikimedia.org/r/519797

RazeSoldier updated the task description. (Show Details)EditedJul 1 2019, 7:19 PM
RazeSoldier added a subscriber: RazeSoldier.

I also update the manual for dropping APIEditBeforeSave hook.

Jdforrester-WMF closed this task as Resolved.Sep 13 2019, 5:36 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF updated the task description. (Show Details)

Well done all, lots of good work. Have made the next one for 1.35.